Bug 1677732 - "Advanced Network Configuration" appears in "X-GNOME-Sundry" folder
Summary: "Advanced Network Configuration" appears in "X-GNOME-Sundry" folder
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-menus   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords:
Depends On:
Blocks: BetaFreezeException, F30BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-02-15 17:56 UTC by Daniel Rusek
Modified: 2019-03-12 17:00 UTC (History)
19 users (show)

Fixed In Version: gnome-menus-3.31.92-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-03-12 17:00:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Rusek 2019-02-15 17:56:05 UTC
Description of problem:
"Advanced Network Configuration" (nm-connection-editor.desktop) is displayed again in GNOME since its last release. Unfortunately, support for the Sundry folder that "Advanced Network Configuration" was placed in is being removed in GNOME 3.32. Because of this, it is placed in "X-GNOME-Sundry" folder on Fedora Rawhide. Please, use the "Utilities" folder instead.

Version-Release number of selected component (if applicable):
nm-connection-editor-1.8.20-1.fc30.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Use a fully updated Fedora Rawhide.
2. Open GNOME Activities Overview and click on "Show Applications".

Actual results:
There is a "X-GNOME-Sundry" folder shown with the "Advanced Network Configuration" item in it.

Expected results:
The "Advanced Network Configuration" item is placed in the Utilities folder.

Additional info:
Upstream bug report: https://gitlab.gnome.org/GNOME/network-manager-applet/issues/42
"Advanced Network Configuration" enablement: https://gitlab.gnome.org/GNOME/network-manager-applet/commit/24c5f40e729b0efc7c53f4b33ead006ab7e769a6
Sundry folder removal: https://gitlab.gnome.org/GNOME/gnome-menus/commit/8d8f7107cb8b1c65a16fd9b43d7c6d9048fbceea

Comment 1 Julen Landa Alustiza 2019-02-28 08:01:09 UTC
This happens on fc30 compose too

Comment 2 Daniel Rusek 2019-02-28 12:00:09 UTC
The correct Utilities category should now be added upstream (in network-manager-applet and gnome-menus) and will be available in the next releases, however Advanced Network Configuration is still shown in the X-GNOME-Sundry folder because of this:

"I tested the fix in Fedora Rawhide: it allows to display nm-connection-editor in the Utility category and also fixes the drop-down menu in GNOME classic. Anyway, when displaying all the applications in the gnome shell desktop application search, nm-connection-editor is still present in the X-GNOME-Sundry folder as well (as you wrote).
This seems due to the default value in the dconf db key 'org/gnome/desktop/app-folders/folders/Sundry/apps': nm-connection-editor is listed there and so it appears in the X-GNOME-Sundry category. Removing it from that key will make it disappear from the X-GNOME-Sundry group.
I think that the change you proposed is all what can be done in network-manager-applet code.
I have no idea how the default dconf db is generated, I think it comes from a preset (I can spot some applications not even installed on my system)."
(Source: https://gitlab.gnome.org/GNOME/network-manager-applet/issues/42#note_448598)

It seems to be a Fedora preset. Switching bug to the gsettings-desktop-schemas package.

Comment 3 Fedora Blocker Bugs Application 2019-03-04 17:02:58 UTC
Proposed as a Freeze Exception for 30-beta by Fedora user jlanda using the blocker tracking app because:

 Upstream moved System folder to Utilities on gnome-shell. We should move too

Comment 4 Geoffrey Marr 2019-03-04 18:34:49 UTC
Discussed during the 2019-03-04 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made as this will be visible and confusing in the Workstation live, so it's worth fixing and cannot be fixed with an update.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-03-04/f30-blocker-review.2019-03-04-17.03.txt

Comment 5 Kalev Lember 2019-03-06 13:57:54 UTC
The issue with X-GNOME-Sundry remaining after updating from an older system should be fixed (or rather, worked around) in gnome-menus 3.31.92 that adds back an empty Sundry category. See https://gitlab.gnome.org/GNOME/gnome-menus/merge_requests/10

Comment 6 Fedora Update System 2019-03-06 14:15:58 UTC
at-spi2-atk-2.31.92-1.fc30 at-spi2-core-2.31.92-1.fc30 atomix-3.31.92-1.fc30 bijiben-3.31.92-1.fc30 eog-3.31.91-1.fc30 epiphany-3.31.92-1.fc30 file-roller-3.31.92-1.fc30 five-or-more-3.31.92-1.fc30 four-in-a-row-3.31.92-1.fc30 gedit-3.31.92-1.fc30 gjs-1.55.92-1.fc30 glib-networking-2.59.92-1.fc30 glib2-2.60.0-1.fc30 gnome-boxes-3.31.91-1.fc30 gnome-builder-3.31.92-1.fc30 gnome-calculator-3.31.92-1.fc30 gnome-chess-3.31.92-1.fc30 gnome-control-center-3.31.92-1.fc30 gnome-disk-utility-3.31.92-1.fc30 gnome-documents-3.31.92-1.fc30 gnome-keyring-3.31.91-1.fc30 gnome-klotski-3.31.92-1.fc30 gnome-mahjongg-3.31.92-1.fc30 gnome-maps-3.31.92-1.fc30 gnome-menus-3.31.92-1.fc30 gnome-mines-3.31.92-1.fc30 gnome-music-3.31.92-1.fc30 gnome-shell-3.31.92-1.fc30 gnome-shell-extensions-3.31.92-1.fc30 gnome-software-3.31.92-1.fc30 gnome-sound-recorder-3.31.92-1.fc30 gnome-sudoku-3.31.92-1.fc30 gnome-system-monitor-3.31.92-1.fc30 gnome-tetravex-3.31.92-1.fc30 gnome-weather-3.31.92-1.fc30 gobject-introspection-1.59.5-1.fc30 gvfs-1.39.92-1.fc30 hitori-3.31.92-1.fc30 libchamplain-0.12.19-1.fc30 libdazzle-3.31.92-1.fc30 libsecret-0.18.8-1.fc30 libsoup-2.65.92-1.fc30 lightsoff-3.31.92-1.fc30 mousetweaks-3.31.92-1.fc30 mutter-3.31.92-1.fc30 polari-3.31.92-1.fc30 simple-scan-3.31.92-1.fc30 swell-foop-3.31.92-1.fc30 totem-3.31.92-1.fc30 totem-pl-parser-3.26.3-1.fc30 vala-0.43.92-1.fc30 vte291-0.55.92-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 7 Daniel Rusek 2019-03-06 16:10:53 UTC
This needs to be fixed in gsettings-desktop-schemas as well (nm-connection-editor removed). Otherwise the "Advanced Network Configuration" will be shown in both Utilities and Sundry folder after the related upstream changes (https://gitlab.gnome.org/GNOME/gnome-menus/commit/b4600621efefd75b58486729e806a81a1014ee4b and https://gitlab.gnome.org/GNOME/network-manager-applet/commit/f1b006dd092d5e4323f887f9dc1a1c3a40b5ba2d) land in Fedora.

Comment 8 Daniel Rusek 2019-03-06 16:18:05 UTC
Or a better solution for now: Move nm-connection-editor from X-GNOME-Sundry to X-GNOME-Utilities in the default gsettings-desktop-schemas.

Comment 9 Fedora Update System 2019-03-06 22:54:00 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-2.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 10 Fedora Update System 2019-03-08 08:36:08 UTC
at-spi2-atk-2.31.92-1.fc30 at-spi2-core-2.31.92-1.fc30 atomix-3.31.92-1.fc30 bijiben-3.31.92-1.fc30 dconf-0.31.92-1.fc30 eog-3.31.91-1.fc30 epiphany-3.31.92-1.fc30 file-roller-3.31.92-1.fc30 five-or-more-3.31.92-1.fc30 four-in-a-row-3.31.92-1.fc30 gedit-3.31.92-1.fc30 gjs-1.55.92-1.fc30 glib-networking-2.59.92-1.fc30 glib2-2.60.0-2.fc30 gnome-boxes-3.31.91-1.fc30 gnome-builder-3.31.92-1.fc30 gnome-calculator-3.31.92-1.fc30 gnome-chess-3.31.92-1.fc30 gnome-control-center-3.31.92-1.fc30 gnome-desktop3-3.31.92-1.fc30 gnome-disk-utility-3.31.92-1.fc30 gnome-documents-3.31.92-1.fc30 gnome-keyring-3.31.91-1.fc30 gnome-klotski-3.31.92-1.fc30 gnome-mahjongg-3.31.92-1.fc30 gnome-maps-3.31.92-1.fc30 gnome-menus-3.31.92-1.fc30 gnome-mines-3.31.92-1.fc30 gnome-music-3.31.92-1.fc30 gnome-settings-daemon-3.31.92-1.fc30 gnome-shell-3.31.92-1.fc30 gnome-shell-extensions-3.31.92-1.fc30 gnome-software-3.31.92-1.fc30 gnome-sound-recorder-3.31.92-1.fc30 gnome-sudoku-3.31.92-1.fc30 gnome-system-monitor-3.31.92-1.fc30 gnome-tetravex-3.31.92-1.fc30 gnome-user-share-3.32.0-1.fc30 gnome-weather-3.31.92-1.fc30 gobject-introspection-1.59.5-1.fc30 gsettings-desktop-schemas-3.31.92-1.fc30 gvfs-1.39.92-1.fc30 hitori-3.31.92-1.fc30 libchamplain-0.12.19-1.fc30 libdazzle-3.31.92-1.fc30 libsecret-0.18.8-1.fc30 libsoup-2.65.92-1.fc30 lightsoff-3.31.92-1.fc30 mousetweaks-3.31.92-1.fc30 mutter-3.31.92-3.fc30 polari-3.31.92-1.fc30 simple-scan-3.31.92-1.fc30 swell-foop-3.31.92-1.fc30 totem-3.31.92-1.fc30 totem-pl-parser-3.26.3-1.fc30 tracker-2.2.1-1.fc30 tracker-miners-2.2.1-1.fc30 vala-0.43.92-1.fc30 vte291-0.55.92-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 11 Fedora Update System 2019-03-08 19:45:14 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, dconf-0.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-desktop3-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-user-share-3.32.0-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-3.fc30, orca-3.31.92-1.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, tracker-miners-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 12 Fedora Update System 2019-03-12 17:00:43 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, dconf-0.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-desktop3-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-user-share-3.32.0-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-3.fc30, orca-3.31.92-1.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, tracker-miners-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.